package main

import (
	"encoding/json"
	"os"
	"strings"
)

type DbConfig struct {
	Host     string
	Port     string
	User     string
	Password string
	Db       string
}

func (dp DbConfig) String() string {
	var sbuf []string = make([]string, 0, 20)
	sbuf = append(sbuf, dp.User)
	sbuf = append(sbuf, ":")
	sbuf = append(sbuf, dp.Password)
	sbuf = append(sbuf, "@tcp(")
	sbuf = append(sbuf, dp.Host)
	sbuf = append(sbuf, ":")
	sbuf = append(sbuf, dp.Port)
	sbuf = append(sbuf, ")/")
	sbuf = append(sbuf, dp.Db)
	sbuf = append(sbuf, "?charset=utf8&collation=utf8_general_ci")
	return strings.Join(sbuf, "")
}

type Config struct {
	Host string
	Port string

	LogFile string

	Db DbConfig
}

func NewConfig() *Config {
	return &Config{"0.0.0.0", "9800", "./logs/filemgr.log",
		DbConfig{"127.0.0.1", "3306", "root", "123456", "filemgr"}}
}

func (c *Config) LoadConfig() bool {
	f, e := os.Open("./conf/config.json")
	if e != nil {
		return false
	}
	d := json.NewDecoder(f)
	e = d.Decode(c)
	f.Close()
	return true
}

func (c *Config) Address() string {
	var sbuf []string = make([]string, 0, 4)
	sbuf = append(sbuf, c.Host)
	sbuf = append(sbuf, ":")
	sbuf = append(sbuf, c.Port)
	return strings.Join(sbuf, "")
}
