package main

import (
	"github.com/gin-contrib/sessions"
	"github.com/gin-gonic/gin"
	"fmt"
	"database/sql"
	"os"
)

type RemoveFileReq struct {
	FileId string
}

type RemoveFileResp struct {
	State   string `json:"state"`
	Code    string `json:"code"`
	Message string `json:"message"`
}

func removeFile(ctx *gin.Context) {
	var resp RemoveFileResp
	resp.State = "失败"
	resp.Code = "失败"
	session := sessions.Default(ctx)
	defer func() {
		ctx.JSON(200, resp);
	}();
	if !checkLogin(session) {
		resp.Message = "请重新登录"
		return
	}
	account := session.Get("account").(string)

	var req RemoveFileReq
	req.FileId = ctx.PostForm("id");

	
	if req.FileId == "" {
		resp.Message = "请选择文件";
		return;
	}
	var rows *sql.Rows;
	var err error;
	rows, err = fileMgr.Mysql.Query("call p_web_delfile(?,?)", account, req.FileId);
	if err != nil || rows == nil {
		// resp.Message = "数据库操作失败"
		resp.Message = fmt.Sprintf("数据库失败: %s", err);
		return
	}
	defer rows.Close();
	if !rows.Next() {
		resp.Message = "获取数据库操作结果失败"
		return
	}
	var ret int
	var fpath string
	rows.Scan(&ret, &fpath)
	if ret != 0 {
		if ret == 1 {
			resp.Message = "权限不足";
		} else if (ret == 5) {
			resp.Message = "数据库操作异常，事物回滚";
		} else {
			resp.Message = "文件可能不存在"
		}
		return
	}
	if fpath == "" {
		resp.Message = "文件id非法";
		return
	}
	err = os.Remove(fpath);
	if err != nil {
		resp.Message = fmt.Sprintf("删除文件失败：%s", fpath);
		return;
	}
	resp.State = "成功"
	resp.Code = "成功"
	resp.Message = "删除文件成功";
}
