[TOC]

# 登录

Url: /api/login

接口参数：

- username
- password

返回:

```json
{
    "state": "成功",
    "message": "成功",
    "account": "登录账号",
    "name": "名字",
    "role": "普通用户",
    "icon": "用户图像，可空",
    "menus": [
        {
            "title": "标题",
            "url": "/xxxx"
        },
        
        {
            "title": "标题2",
            "url": "/yyyyyy"
        }
    ],
    
    "roles": [
        "超级管理员",
        "普通管理员",
        "普通用户"
    ]
}
```



# 注销

Url: /api/logout

接口参数（无）

响应：

```json
{
    "state": "成功",
    "code": "成功",
    "message": "成功"
}
```



# 查询

Url: /search

接口参会：

- query: 查询的词
- pagesize: page size，页面显示的条数
- pageid: 当前页是第几页（从1开始计数）

返回：

```json
{
    "state": "成功",
    "message": "成功",
    "pageid": 1,
    "totalPage": 100, // 总页数
    "totalRows": 100000,
    "pagesize": 15,
    
    "rows": [
        {
            "id": "文档id",
            "name": "名称",
            "fname": "文件名称",
            "product": "产品名称",
            "type": "文件类型",
            "time": "更新时间",
            "uploader": "上传人",
            "download": "下载链接",
            "editable": true
        },
        ...
    ]
}
```



# 用户管理接口

## 1. 添加用户

Url: /api/add-user

接口参数:

- `account`: 用户账号
- `name`姓名
- `depart`: 部门
- `role`:角色
- `password`：密码

返回参数：

```json
{
    "state": "成功",
    "code": "成功",
    "message": "成功"
}
```



## 2. 修改用户信息

url: /api/mod-user-info

接口参数:

- `account`: 被修改的用户账号
- `name`:修改用户名称
- `password`:修改密码
- `depart`:修改部门
- `role`:修改角色（超级管理员）: 超级管理员，普通管理员，普通用户
- `status`:修改状态（超级管理员），0:启用，1:禁用

返回

```json
{
    "state": "成功",
    "code": "成功",
    "message": "成功"
}
```



## 3. 获取用户信息

获取当前登录的用户信息：

url：/api/get-user-info/current

获取用户列表信息：

Url：/api/get-user-info/list



接口参数

- `pageid`: 要获取第几页
- `pagesize`: 返回的结果行数

响应：

```json
{
    "state": "成功",
    "code": "成功",
    "message": "成功",
    
    "pageid": pageid,
    "pagesize": pagesize,
    "totalPage": 总页数,
    "totalRows": 总记录数（行数）,
    "users": [
        {
            "account": "登录账号",
            "name": "姓名",
            "depart": "部门",
            "role": "角色",
            "status": "状态",
            "time": "更新时间"
        },
        ...
    ]
}
```



# 上传下载

## 上传

Url: /api/upload

接口参数:

- `title`: 标题
- `type`: 文件类型
- `product`: 产品名称
- `product-type`: 产品类型
- `version`: 版本
- `svnpath`: svn路径
- `tester`: 测试人
- `text`: 备注
- `file`: 文件

返回

```json
{
    "state": "成功",
    "code": "成功",
    "message": "成功"
}
```



## 获取文件信息

Url: /api/get-file-info

参数:

- `id`文件id

返回：

```json
{
    "state": "成功",
    "code": "成功",
    "message": "成功",
    
    "id": "文件id",
    "name": "文件名称",
    "title": "文件标题",
    "path": "文件实际存储路径",
    "link": "文件下载链接",
    "type": "文件类型",
    "product": "产品名称",
    "uploader": "上传者",
    "mtime": "更新时间",
    "ptype": "产品名称",
    "version": "版本号",
    "svnpath": "svn路径",
    "tester": "测试人",
    "text": "备注",
    
    // 相关链接
    "asso": [
        {
            "text": "链接文字",
            "link": "链接"
        }
    ]
}
```



## 修改文件信息

Url: /api/mod-file-info

接口参数

- `id`:被修改文件的id
- `name`：修改文件名称（可选）
- `title`：修改文件标题（可选）
- `type`：修改文件类型（可选）
- `product`：修改产品（可选）
- `ptype`：修改产品类型（可选）
- `version`：修改版本（可选）
- `svnpath`：修改svnpath（可选）
- `text`: 修改的文件备注（可选）

返回：

```json
{
    "state": "成功",
    "code": "成功",
    "message": "成功"
}
```

