package main

import (
	"fmt"

	"github.com/gin-contrib/sessions"
	"github.com/gin-gonic/gin"
)

type DownloadReq struct {
	Fpath string
	Fname string
}

func downloadFile(ctx *gin.Context) {
	var req DownloadReq
	session := sessions.Default(ctx)
	if !checkLogin(session) {
		ctx.String(403, "权限不足!")
		return
	}

	req.Fpath = ctx.Param("fpath")
	req.Fname = ctx.Param("fname")

	if req.Fpath == "" || req.Fname == "" {
		ctx.String(400, "非法请求")
		return
	}
	fpath := fmt.Sprintf("./%s/%s/%s", FileRoot, req.Fpath, req.Fname)
	if !pathExists(fpath) {
		ctx.String(404, "文件不存在")
		return
	}

	flink := fmt.Sprintf("%s/%s/%s", DownloadPrefix, req.Fpath, req.Fname)

	rows, err := fileMgr.Mysql.Query("call p_web_get_link_file(?)", flink)
	if err != nil || rows == nil {
		ctx.String(500, "内部错误")
		return
	}
	defer rows.Close();
	if !rows.Next() {
		ctx.String(500, "内部错误")
		return
	}
	var fileid int64
	var frealName string
	rows.Scan(&fileid, &frealName)

	ctx.Header("content-type", "application/octet-stream")
	ctx.Header("Content-Disposition", fmt.Sprintf("attachment;filename=%s", frealName))

	ctx.File(fpath)
}
