package main

import (
	"database/sql"

	_ "github.com/yireyun/mysql"
)

const (
	MaxIdelConns = 10
	MaxConnects  = 500
)

func initDb(cfg *DbConfig) (error, *sql.DB) {
	var err error
	var fileMgrDb *sql.DB
	fileMgrDb, err = sql.Open("mysql", cfg.String())
	if err != nil || fileMgrDb == nil {
		return err, nil
	}
	fileMgrDb.SetMaxIdleConns(MaxIdelConns)
	fileMgrDb.SetMaxOpenConns(MaxConnects)
	return nil, fileMgrDb
}
