package main

import (
	"github.com/gin-contrib/sessions"
	"github.com/gin-gonic/gin"
)

type FileInfoReq struct {
	FileId string
}

type FileInfoAsso struct {
	Text string `json:"text"`
	Link string `json:"link"`
}

type FileInfoResp struct {
	State   string `json:"state"`
	Code    string `json:"code"`
	Message string `json:"message"`

	Id       string `json:"id"`
	Name     string `json:"name"`
	Path     string `json:"path"`
	Title    string `json:"title"`
	Link     string `json:"link"`
	Type     string `json:"type"`
	Product  string `json:"product"`
	Uploader string `json:"uploader"`
	Mtime    string `json:"mtime"`
	ProdType string `json:"ptype"`
	Version  string `json:"version"`
	Svnpath  string `json:"svnpath"`
	Tester   string `json:"tester"`
	Text     string `json:"text"`

	Asso []FileInfoAsso `json:"asso"`
}

func getFileInfo(ctx *gin.Context) {
	var req FileInfoReq
	var resp FileInfoResp
	resp.Asso = make([]FileInfoAsso, 0, 30)
	session := sessions.Default(ctx)

	resp.State = "失败"
	resp.Code = "失败"

	defer func() {
		ctx.JSON(200, resp)
	}()
	if !checkLogin(session) {
		resp.Message = "请重新登录"
		return
	}

	req.FileId = ctx.PostForm("id")
	if req.FileId == "" {
		resp.Message = "文件ID不能为空"
		return
	}
	account := session.Get("account").(string)
	rows, err := fileMgr.Mysql.Query("call p_web_get_finfo(?, ?)", account, req.FileId)
	if err != nil || rows == nil {
		resp.Message = "数据库操作失败"
		return
	}
	defer rows.Close();
	if !rows.Next() {
		resp.Message = "获取基本文件信息失败"
		return
	}

	resp.Id = req.FileId
	rows.Scan(&resp.Name, &resp.Path, &resp.Title, &resp.Type, &resp.Product, &resp.Uploader, &resp.Mtime,
		&resp.ProdType, &resp.Version, &resp.Svnpath, &resp.Tester, &resp.Text)
	resp.State = "成功"
	resp.Code = "成功"
	resp.Message = "获取成功"

	if !rows.NextResultSet() {
		return
	}
	for rows.Next() {
		var asso FileInfoAsso
		rows.Scan(&asso.Text, &asso.Link)
		resp.Asso = append(resp.Asso, asso)
	}
}
