package main

import (
	"github.com/gin-contrib/sessions"
	"github.com/gin-gonic/gin"
	"fmt"
)

type GetUserReq struct {
	Howmany string;
	Pageid string;
	PageSize string;
}

type UserInfo struct {
	Account string `json:"account"`
	Name string `json:"name"`
	Role string `json:"role"`
	Depart string `json:"depart"`
	Status string `json:"status"`
	Time string `json:"time"`
}

type GetUserResp struct {
	State   string `json:"state"`
	Code    string `json:"code"`
	Message string `json:"message"`
	Pageid  int `json:"pageid"`
	PageSize int `json:"pagesize"`
	TotalPage int `json:"totalPage"`
	TotalRows int `json:"totalRows"`
	Users   []UserInfo `json:"users"`
}

func getUserInfo(ctx *gin.Context) {
	var req GetUserReq;
	var resp GetUserResp;
	resp.Users = make([]UserInfo, 0, 100)
	session := sessions.Default(ctx)

	resp.State = "失败"
	resp.Code = "失败"

	defer func() {
		ctx.JSON(200, resp)
	}()
	if !checkLogin(session) {
		resp.Message = "请重新登录"
		return
	}

	req.Howmany = ctx.Param("howmany")
	req.Pageid  = ctx.PostForm("pageid");
	req.PageSize = ctx.PostForm("pagesize");
	if req.Pageid == "" {
		req.Pageid = "0"
	}
	if req.PageSize == "" {
		req.PageSize = "0";
	}
	account := session.Get("account").(string)
	getAccount := "";
	if req.Howmany != "list" {
		getAccount = ctx.PostForm("account");
		if getAccount == "" {
			getAccount = account;
		}
	}
	rows, err := fileMgr.Mysql.Query("call p_sys_get_user_info(?,?, ?,?)", account, getAccount, req.Pageid, req.PageSize);
	if err != nil || rows == nil {
		resp.Message = fmt.Sprintf("数据库操作失败: %s", err)
		return
	}
	defer rows.Close();
	if !rows.Next() {
		resp.Message = "获取分页信息失败"
		return
	}
	rows.Scan(&resp.Pageid, &resp.PageSize, &resp.TotalPage, &resp.TotalRows);
	resp.State = "成功"
	resp.Code = "成功"
	resp.Message = "获取成功"

	if !rows.NextResultSet() {
		return
	}
	for rows.Next() {
		var ui UserInfo
		rows.Scan(&ui.Account, &ui.Name, &ui.Role, &ui.Depart, &ui.Status, &ui.Time)
		resp.Users = append(resp.Users, ui)
	}
}
