function onSearchFile(obj) {
    let pbar = obj.bar;
    let pgid = parseInt(obj.pageid);
    let pgsize = parseInt(obj.pagesize);
    let query = document.getElementById("fsquery").value;
    // let req = "pageid=" + pgid + "&pagesize=" + pgsize + "&query=" + query;
    let req = JSON.stringify({"pageid": pgid, "pagesize": pgsize , "query": query});
    fetch("/search", {
        method: "POST",
        headers: {
            'Content-Type': 'application/json;charset=UTF-8'
        },
        body: req
    }).then(resp => resp.json()).then(resp => {
        if (resp.state != "成功") {
            alert(resp.message);
            return;
        }
        let datarows = document.getElementById("file-list-datarow");
        let temprow = document.getElementById("file-tab-row").content;
        let cols = temprow.querySelectorAll(".tab-col");
        datarows.innerHTML = "";
        for (let rowid in resp.rows) {
            let row = resp.rows[rowid];
            cols[0].textContent = row.name;
            cols[1].textContent = row.fname;
            cols[2].textContent = row.product;
            cols[3].textContent = row.type;
            cols[4].textContent = row.time;
            cols[5].textContent = row.uploader;
            let download = cols[6].querySelector(".downlink");
            let change = cols[6].querySelector(".changprop");
            let delbtn = cols[6].querySelector(".removefile");
            download.href = row.download;
            change.dataFileid = row.id;
            change.setAttribute("data-file-id2", row.id);
            delbtn.setAttribute("data-file-id", row.id);
            delbtn.setAttribute("data-file-name", row.fname);
            if (!row.editable) {
                change.className = "changprop forbidden";
            }
            if (localStorage.getItem("role") != "超级管理员") {
                delbtn.className = "removefile forbidden";
            }
            datarows.appendChild(document.importNode(temprow, true));
        }
        pbar.setAttribute("pg-cur", "" + pgid);
        pbar.setAttribute("pg-count", "" + resp.totalPage);
        pbar.setAttribute("pg-size", "" + resp.pagesize);
    });
}

function onSearchFileBtn(event) {
    if (event) {
        event.preventDefault();
    }
    let filepagebar = document.getElementsByClassName("file-page-bar")[0];
    let obj = {};
    obj.pageid = filepagebar.getAttribute("pg-cur");
    obj.pagesize = filepagebar.getAttribute("pg-size");
    obj.bar = filepagebar;
    onSearchFile(obj);
}

function onChangeFile(event) {
    event.preventDefault();
    localStorage.setItem("changefile", event.target.getAttribute('data-file-id2'));
    window.location.href = "/index.html?to=/pages/checkUpload.html";
}

function onRemoveFile(event) {
    event.preventDefault();
    let dlg = document.getElementById("file-del-item").content;
    let filedom = dlg.querySelector(".file-name");
    let cancelbtn = dlg.querySelector(".cancel");
    let surebtn = dlg.querySelector(".sure");
    let fileid = event.target.getAttribute("data-file-id");
    filedom.textContent = event.target.getAttribute("data-file-name");
    cancelbtn.setAttribute("data-file-id", fileid);
    surebtn.setAttribute("data-file-id", fileid);
    document.body.appendChild(document.importNode(dlg, true));
}

function onDelCancel(event) {
    event.preventDefault();
    let dlgs = document.body.querySelectorAll(".del-sure");
    for (let i = 0; i < dlgs.length; ++i) {
        document.body.removeChild(dlgs[i]);
    }
}

function onDelSure(event) {
    event.preventDefault();
    let fileid = event.target.getAttribute("data-file-id");
    fetch("/api/delfile", {
        method: "POST",
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded; charset=UTF-8'
        },
        body: "id=" + fileid
    }).then(resp => resp.json()).then(resp => {
        alert(resp.message);
        window.location.href="/index.html?to=/pages/table.html";
    });
    let dlgs = document.body.querySelectorAll(".del-sure");
    for (let i = 0; i < dlgs.length; ++i) {
        document.body.removeChild(dlgs[i]);
    }
}