(function(document, window, jQuery){
class Index {
    constructor() {
        let slist = localStorage.getItem("menus");
        this.menus = null;
        if (slist && slist != "") {
            this.menus = JSON.parse(slist);
        }
        let sroles = localStorage.getItem("roles");
        this.roles = null;
        if (sroles && sroles != "") {
            this.roles = JSON.parse(sroles);
        }
        this.account = localStorage.getItem("account");
        this.name = localStorage.getItem("name");
        this.role = localStorage.getItem("role");
        this.sidebar = document.getElementById("left");
        this.content = document.getElementById("content");
        this.exitLogin = document.getElementById("exit");
    }

    setRightAreaByParam() {
        let where = this._getQueryValue("to", "/pages/table.html");
        this.onSetUrl({"data": {"href": where} });
    } 

    _getQueryValue(queryName, dft) {
        var reg = new RegExp("(^|&)" + queryName + "=([^&]*)(&|$)", "i");
        var r = window.location.search.substr(1).match(reg);
        if (r) {
            return decodeURI(r[2]);
        }
        return dft;
    }

    _render_topbar() {
        let rendobj = {
            "id": "user",
            "content": this.account + "(" + this.name + ", " + this.role + ")"
        };
        render(rendobj);
    }
    _render_sidebar() {
        if (!this.menus) {
            return;
        }
        let temp = document.getElementById("menu-item").content;
        let tempa = temp.querySelectorAll("a")[0];
        this.sidebar.innerHTML = "";
        for (let i = 0; i < this.menus.length; ++i) {
            tempa.href = this.menus[i].url;
            tempa.textContent = this.menus[i].name;
            this.sidebar.appendChild(document.importNode(temp, true));
        }
        this._updateEvent();
    }
    _updateEvent() {
        let me = this;
        // update titlebar
        this.exitLogin.addEventListener("click", function(ev) {
            ev.data = this;
            me.onLogout(ev);
        }, false);
        // update sidebar links
        let links = this.sidebar.querySelectorAll(".menu");
        if (links) {
            for (let i = 0; i < links.length; ++i) {
                links[i].addEventListener("click", function(ev) {
                    ev.data = this;
                    ev.preventDefault();
                    me.onSetUrl(ev);
                }, false);
            }
        }
    }

    Render() {
        this._render_topbar();
        this._render_sidebar();
        this.setRightAreaByParam();
    }

    onSetUrl(ev) {
        let d = new Date();
        let url = ev.data.href + "?dt=" + d.getTime();
        fetch(url, {
            header: {
                "cache-control": "no-cache"
            }
        }).then(resp => resp.text()).then(resp => {
            // this.content.innerHTML = resp;
            jQuery(this.content).html(resp);
        });
    }

    onLogout(ev) {
        ev.preventDefault();
        fetch("/api/logout").then(resp => resp.json()).then(resp => {
            localStorage.clear();
            window.location.href = "/login.html";
        });
    }
}

let index = new Index();
index.Render();

})(document, window, jQuery);