(function(document, window){
class Login {
    constructor() {
        this.sub = document.getElementById("submit");
        let me = this;
        this.sub.addEventListener("click", function(ev) {
            ev.preventDefault();
            ev.data = this;
            me.onLogin(ev);
        }, false);
    }

    onLogin(ev) {
        let me = this;
        let fields = document.getElementsByClassName("field");
        let req = "";
        for (let i = 0; i < fields.length; ++i) {
            let key = fields[i].getAttribute("name");
            let value = fields[i].value;
            if (value == "") {
                alert(key + " 不能为空");
                return;
            }
            if (req != "") {
                req = req + "&";
            }
            req = req + key + "=" + value;
        }
        console.log(req);
        fetch("/api/login", {
            method: "POST",
            headers: {
                'Content-Type': 'application/x-www-form-urlencoded; charset=UTF-8'
            },
            body: req
        }).then(resp => resp.json()).then(resp => {
            me.onLoginResp(resp);
        });
    }

    onLoginResp(resp) {
        if (resp.state != "成功") {
            alert(resp.message);
            return;
        }
        let d = new Date();
        localStorage.setItem("logtime", "" + (d.getTime() / 1000));
        localStorage.setItem("account", resp.account);
        localStorage.setItem("name", resp.name);
        localStorage.setItem("role", resp.role);
        localStorage.setItem("menus", JSON.stringify(resp.menus));
        localStorage.setItem("roles", JSON.stringify(resp.roles));
        window.location.href = "index.html";
    }
}
let login = new Login();

})(document, window);