package main

import (
	"github.com/gin-contrib/sessions"
	"github.com/gin-gonic/gin"
)

type ModFileReq struct {
	FileId   string
	Name     string
	Title    string
	Type     string
	Product  string
	ProdType string
	Version  string
	Svnpath  string
	Text     string
}

type ModFileResp struct {
	State   string `json:"state"`
	Code    string `json:"code"`
	Message string `json:"message"`
}

func modifyFileInfo(ctx *gin.Context) {
	var req ModFileReq
	var resp ModFileResp
	session := sessions.Default(ctx)
	resp.State = "失败"
	resp.Code = "失败"
	defer func() {
		ctx.JSON(200, resp)
	}()

	if !checkLogin(session) {
		resp.Message = "请重新登录"
		return
	}
	req.FileId = ctx.PostForm("id")
	req.Name = ctx.PostForm("name")
	req.Title = ctx.PostForm("title")
	req.Type = ctx.PostForm("type")
	req.Product = ctx.PostForm("product")
	req.ProdType = ctx.PostForm("ptype")
	req.Version = ctx.PostForm("version")
	req.Svnpath = ctx.PostForm("svnpath")
	req.Text = ctx.PostForm("text")

	if req.FileId == "" {
		resp.Message = "文件id不能为空"
		return
	}

	account := session.Get("account").(string)
	rows, err := fileMgr.Mysql.Query("call p_web_change_file(?,?, ?,?,?,?, ?,?,?,?)", account, req.FileId,
		req.Name, req.Title, req.Type, req.Product, req.ProdType, req.Version, req.Svnpath, req.Text)
	if err != nil || rows == nil {
		resp.Message = "数据库操作失败"
		return
	}
	defer rows.Close()
	if !rows.Next() {
		resp.Message = "获取操作结果失败"
		return
	}

	var ret int
	rows.Scan(&ret)
	if ret != 0 {
		resp.Message = "操作失败"
		return
	}
	resp.State = "成功"
	resp.Code = "成功"
	resp.Message = "修改文件信息成功"
}
