package main

import (
	"github.com/gin-contrib/sessions"
	"github.com/gin-gonic/gin"
	"fmt"
	"database/sql"
)

type ModUserReq struct {
	Account  string
	Name     string
	Password string
	Depart   string
	Role     string
	Status   string
}

type ModUserResp struct {
	State   string `json:"state"`
	Code    string `json:"code"`
	Message string `json:"message"`
}

func modifyUserInfo(ctx *gin.Context) {
	var resp ModUserResp
	resp.State = "失败"
	resp.Code = "失败"
	session := sessions.Default(ctx)
	defer func() {
		ctx.JSON(200, resp);
	}();
	if !checkLogin(session) {
		resp.Message = "请重新登录"
		return
	}
	account := session.Get("account").(string)

	var req ModUserReq
	req.Account = ctx.PostForm("account")
	req.Name = ctx.PostForm("name")
	req.Password = ctx.PostForm("password")
	req.Depart = ctx.PostForm("depart")
	req.Status = ctx.PostForm("status")
	req.Role = ctx.PostForm("role")

	if req.Account == "" {
		req.Account = account
	}

	var plen = len(req.Password)
	if req.Password != "" && (plen < 6 || plen > 16) {
		resp.Message = "密码长度应介于6至16之间"
		return
	}
	if req.Status == "" {
		req.Status = "100" // will not set it.
	}
	var icon string = "";
	var rows *sql.Rows;
	var err error;
	if req.Password != "" {
		rows, err = fileMgr.Mysql.Query("call p_sys_change_user(?,?, NULL,NULL,?,NULL, NULL,NULL)", account, req.Account,
		req.Password)
	} else {
		rows, err = fileMgr.Mysql.Query("call p_sys_change_user(?,?, ?,?,?,?, ?,?)", account, req.Account, req.Name, icon,
		req.Password, req.Depart, req.Status, req.Role)
	}
	if err != nil || rows == nil {
		// resp.Message = "数据库操作失败"
		resp.Message = fmt.Sprintf("数据库失败: %s", err);
		return
	}
	defer rows.Close();
	if !rows.Next() {
		resp.Message = "获取操作结果失败"
		return
	}
	var ret int
	rows.Scan(&ret)
	if ret != 0 {
		resp.Message = "操作失败"
		return
	}
	resp.State = "成功"
	resp.Code = "成功"
	resp.Message = "修改成功"
}
