create table file_info(
    f_id bigint(20) not null auto_increment primary key,
    f_name varchar(128) not null comment '文件名',
    f_realpath varchar(256) not null comment '文件路径',
    f_link varchar(200) not null comment '文件链接',
    f_title varchar(128) not null comment '文件标题',
    f_type varchar(32) not null comment '文件类型',
    f_prod varchar(64) not null comment '产品名称',
    f_upid int not null comment '上传者id',
    f_upname varchar(32) comment '上传者',
    f_ctime datetime not null default current_timestamp comment '创建时间',
    f_mtime datetime not null default current_timestamp on update current_timestamp comment '修改信息',
    index(f_id, f_name, f_title, f_prod, f_mtime),
    constraint fk_fi_user foreign key(f_upid) references sys_user(s_id)
)
Engine = InnoDB
comment '基本文件信息'
character set 'utf8'
collate 'utf8_general_ci';
