delimiter //
create procedure p_sys_get_user_info(
    i_opt_account varchar(20),
    i_account     varchar(20),
    i_pageid      int,
    i_pagesize    int
)
begin
    declare o_ret int default 0;
    declare v_super int default 1;
    declare v_start int default 0;
    declare v_total int default 0;
    declare v_rows  int default 0;
    declare continue handler for not found set o_ret = 1;

    if i_pageid < 1 then
        set i_pageid = 1;
    end if;
    if i_pagesize < 1 or i_pagesize > 100 then
        set i_pagesize = 100;
    end if;
    set v_start = (i_pageid - 1) * i_pagesize;
    select count(*) into v_rows from sys_user;
    set v_total = floor((v_rows + i_pagesize - 1) / i_pagesize);
    select i_pageid, i_pagesize, v_total, v_rows;

    set v_super = f_sys_is_super(i_opt_account);
    if v_super = 0 and (i_account is null or i_account = '') then
        -- get user list
        select t.s_account, t.s_name, t4.s_name as rolename, t.s_dpart, if(t.s_status=0,'启用','禁用') as stat, t.s_mtime from sys_user t left join (
            select t2.s_roleid, t2.s_userid, t3.s_name from sys_user_role t2 inner join sys_role t3 on t3.s_id = t2.s_roleid
            where t2.s_status = 0 and t3.s_status = 0) t4
        on t.s_id = t4.s_userid limit v_start, i_pagesize;
    else
        if i_account is null or i_account = '' then
            set i_account = i_opt_account;
        end if;
        -- get yourself info
        select t.s_account, t.s_name, t4.s_name as rolename, t.s_dpart, if(t.s_status=0,'启用','禁用') as stat, t.s_mtime from sys_user t left join (
            select t2.s_roleid, t2.s_userid, t3.s_name from sys_user_role t2 inner join sys_role t3 on t3.s_id = t2.s_roleid
            where t2.s_status = 0 and t3.s_status = 0) t4
        on t.s_id = t4.s_userid where t.s_account = i_account;
    end if;
end //

delimiter ;
