delimiter //

create procedure p_web_change_file(
    i_opt_account varchar(20),
    i_fileid    bigint(20),
	i_name		varchar(128),
    i_title     varchar(128),
	i_type 		varchar(32),
	i_prod 	    varchar(32),
	i_ptype 	varchar(32),
	i_version 	varchar(32),
	i_svn 	    varchar(1024),
	i_text 		varchar(1024)
)
begin
    declare o_ret int default 0;
    declare v_super int default 1;
    start transaction;
stMain:begin
    declare v_cunt int default 0;
    set v_super = f_sys_is_admin(i_opt_account);
    if v_super != 0 then
        set o_ret = 1;
        leave stMain;
    end if;

    select count(*) into v_cunt from file_info where f_id = i_fileid;
    if v_cunt = 0 then
        -- 文件不存在
        set o_ret = 2;
        leave stMain;
    end if;

    if i_name is not null and i_name != '' then
        -- name
        update file_info set f_name = i_name where f_id = i_fileid;
        update file_link_map set f_name = i_name where f_id = i_fileid;
    end if;

    if i_title is not null and i_title != '' then
        -- title
        update file_info set f_title = i_title where f_id = i_fileid;
    end if;

    if i_type is not null and i_type != '' then
        -- type
        update file_info set f_type = i_type where f_id = i_fileid;
    end if;

    if i_prod is not null and i_prod != '' then
        -- product
        update file_info set f_prod = i_prod where f_id = i_fileid;
    end if;

    if i_ptype is not null and i_ptype != '' then
        -- product type
        update file_extrainfo set f_prodtype = i_ptype where f_id = i_fileid;
    end if;

    if  i_version is not null and i_version != '' then
        -- version
        update file_extrainfo set f_version = i_version where f_id = i_fileid;
    end if;

    if i_svn is not null and i_svn != '' then
        -- svn path
        update file_extrainfo set f_svnpath = i_svn where f_id = i_fileid;
    end if;

    if i_text is not null and i_text != '' then
        -- 备注
        update file_extrainfo set f_text = i_text where f_id = i_fileid;
        commit;
    end if;
end; -- stMain
    if o_ret = 0 then
        commit;
    else
        rollback;
    end if;
    select o_ret;
end //

delimiter ;
