delimiter //

-- 分页
create procedure p_web_page(
    i_account varchar(20),
    i_query varchar(200),
    i_pn int,   -- page number
    i_ps int    -- page size
)
begin
    declare o_ret int default 0;
    declare v_files int default 0;
    declare o_tatal_page int default 0;
    declare v_admin int default 1;
    declare v_editable int default 0;
    declare v_start, v_end int;
stMain:begin
    set v_admin = f_sys_is_admin(i_account);
    if v_admin = 0 then
        set v_editable = 1; -- editable = true
    end if;

    if i_pn < 1 then
        set i_pn = 1;
    end if;
    if i_ps < 1 or i_ps > 200 then
        set i_ps = 200;
    end if;
    set v_start = (i_pn - 1) * i_ps;
    set v_end = v_start + i_ps;

    -- 查询条件为空时，返回最新的ps条
    if i_query is null or i_query = '' then
        select max(f_id) into v_files from file_info;
        set o_tatal_page = floor((v_files + i_ps - 1) / i_ps);

        select i_pn, i_ps, o_tatal_page, v_files;
        select f_id, f_title, f_name, f_prod, f_type, f_mtime, f_upname, v_editable, f_link from file_info
        where f_id > v_start and f_id <= v_end order by f_id desc;
        leave stMain;
    end if;
    set i_query = concat('%', i_query, '%');

    select count(*) into v_files from file_info where f_name like i_query or f_title like i_query;
    set o_tatal_page = floor((v_files + i_ps - 1) / i_ps);

    select i_pn, i_ps, o_tatal_page, v_files;
    select f_id, f_title, f_name, f_prod, f_type, f_mtime, f_upname, v_editable, f_link from file_info
    where f_name like i_query or f_title like i_query order by f_id desc limit v_start, i_ps; 
end; -- stMain


end //

delimiter ;
