delimiter //
create procedure p_web_upload(
    i_account varchar(20),

    i_fname varchar(128),
    i_realpath varchar(256),
    i_link varchar(200),
    i_title varchar(128),
    i_type varchar(32),
    i_prod varchar(64),

    i_prodtype varchar(32),
    i_version varchar(20),
    i_svnpath varchar(1024),
    i_tester varchar(20),
    i_text varchar(1024)
)
begin
    declare o_fileid bigint default 0;
    declare v_userid int default 0;
    declare v_username varchar(32) default '';
    declare o_ret int default 0;
stMain:begin
    set o_ret = f_sys_is_admin(i_account);
    if o_ret != 0 then
        set o_ret = 1;
        leave stMain;
    end if;

    -- get user info
    select s_id, s_name into v_userid, v_username from sys_user where s_account = i_account limit 1;

    insert into file_info(f_name, f_realpath, f_link, f_title, f_type, f_prod, f_upid, f_upname) values
    (i_fname, i_realpath, i_link, i_title, i_type, i_prod, v_userid, v_username);
    set o_fileid = last_insert_id();

    insert into file_extrainfo(f_id, f_prodtype, f_version, f_svnpath, f_tester, f_text) values
    (o_fileid, i_prodtype, i_version, i_svnpath, i_tester, i_text);

    insert into file_link_map(f_id, f_link, f_name) values (o_fileid, i_link, i_fname);
    commit;
end; -- stMain;
    select o_ret, o_fileid;
end //
delimiter ;
