create table sys_resource(
    s_id int not null auto_increment primary key,
    s_name varchar(32) not null comment '资源名称',
    s_title varchar(64) comment '详细名称',
    s_url varchar(200) not null comment '资源对应的url地址',
    s_status tinyint not null default 0 comment '状态， 0:启用，1:禁用',
    s_mtime datetime not null default current_timestamp on update current_timestamp comment '修改时间',
    index (s_id, s_name, s_status)
)
Engine = InnoDB
comment '资源表'
character set 'utf8'
collate 'utf8_general_ci';

insert into sys_resource(s_name, s_title, s_url) values
('查看文件', '查看文件信息', '/pages/table.html'),
('上传文件', '上传文件', '/pages/addUpload.html'),
('修改文件', '修改文件信息', '/pages/checkUpload.html'),
('用户列表', '列出所有用户', '/pages/userList.html'),
('添加用户', '添加新用户', '/pages/addUser.html'),
('修改用户', '修改用户信息', '/pages/editUser.html'),
('修改密码', '修改密码', '/pages/changepass.html');
