create table sys_role(
    s_id int not null auto_increment primary key,
    s_name varchar(32) not null comment '角色名称',
    s_desp varchar(128) not null comment '描述',
    s_status tinyint not null default 0 comment '状态， 0:启用，1:禁用',
    c_mtime datetime not null default current_timestamp on update current_timestamp comment '修改时间',
    index (s_id, s_name, s_status)
)
Engine = InnoDB
comment '角色表'
character set 'utf8'
collate 'utf8_general_ci';

insert into sys_role(s_name, s_desp) values
('超级管理员', '具有所有权限，包括添加普通用户和普通管理员用户、文件上传、下载、修改的权限'),
('普通管理员', '具有文件上传、下载、修改的权限'),
('普通用户', '具有文件下载的权限');
