create table sys_role_res(
    s_id int not null auto_increment primary key,
    s_roleid int not null comment '角色id',
    s_resid int not null comment '资源id',
    s_status tinyint not null default 0 comment '状态，0:启用，1:禁用',
    c_mtime datetime not null default current_timestamp on update current_timestamp comment '修改时间',
    index (s_id, s_roleid, s_resid, s_status),
    constraint fk_roleid foreign key(s_roleid) references sys_role(s_id),
    constraint fk_resid foreign key(s_resid) references sys_resource(s_id)
)
Engine = InnoDB
comment '角色的资源'
character set 'utf8'
collate 'utf8_general_ci';
insert into sys_role_res(s_roleid, s_resid) values
(1, 1),
(1, 2),
(1, 3),
(1, 4),
(1, 5),
(1, 6),
(1, 7),

(2, 1),
(2, 2),
(2, 3),
(2, 7),

(3, 1),
(3, 7);
