drop database filemgr;
create database filemgr character set 'utf8';

use filemgr;

create table sys_user(
    s_id int not null auto_increment primary key,
    s_account varchar(16) not null comment '账户名',
    s_name varchar(32) not null comment '用户名称',
    s_sex varchar(3) comment '性别：男/女',
    s_dpart varchar(96) comment '部门',
    s_password varchar(32) not null comment '登录密码密文',
    s_icon varchar(200) comment '用户图像',
    s_status tinyint not null default 0 comment '状态，0:启用，1:禁用',
    s_regtime datetime not null default current_timestamp comment '登录时间',
    s_mtime datetime not null default current_timestamp on update current_timestamp comment '更新时间',
    index (s_id, s_account, s_status)
) Engine = InnoDB
comment '系统用户表'
character set 'utf8'
collate 'utf8_general_ci';

insert into sys_user(s_account, s_name, s_sex, s_dpart, s_password) values
('superadmin', '超级管理员', '男', '未知', '25d55ad283aa400af464c76d713c07ad');
