create table sys_user_role(
    s_id int not null auto_increment primary key,
    s_userid int not null comment '用户id',
    s_roleid int not null comment '角色id',
    s_status tinyint not null default 0 comment '状态，0:启用，1:禁用',
    s_mtime datetime not null default current_timestamp on update current_timestamp comment '修改时间',
    index (s_id, s_userid, s_roleid, s_status),
    constraint fk_ur_userid foreign key(s_userid) references sys_user(s_id),
    constraint fk_ur_roleid foreign key(s_roleid) references sys_role(s_id)
)
Engine = InnoDB
comment '用户角色表'
character set 'utf8'
collate 'utf8_general_ci';

insert into sys_user_role(s_userid, s_roleid) values
(1, 1);
